%define majver %(echo %version | cut -d. -f1-2)

Name:          sonnet
Version:       5.115.0
Release:       1mamba
Summary:       Multi-language spell checker
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        http://download.kde.org/stable/frameworks/%{majver}/sonnet-%{version}.tar.xz
Patch0:        sonnet-5.15.0-libvoikko-qt-include.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaspell-devel
BuildRequires: libgcc
BuildRequires: libhspell-devel
BuildRequires: libhunspell-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvoikko-devel
BuildRequires: libz-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Widgets
#BuildRequires: Qt5LinguistTools
BuildRequires: libQt5Test
BuildRequires: libz-devel
BuildRequires: libvoikko-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Sonnet is a plugin-based spell checking library for Qt-based applications.
It supports several different plugins, including HSpell, Enchant, ASpell and HUNSPELL.
It also supports automated language detection, based on a combination of different algorithms.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Multi-language spell checker

%description -n lib%{name}
Sonnet is a plugin-based spell checking library for Qt-based applications.
It supports several different plugins, including HSpell, Enchant, ASpell and HUNSPELL.
It also supports automated language detection, based on a combination of different algorithms.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang sonnet5_qt --with-qt --all-name || touch sonnet5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f sonnet5_qt.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5SonnetCore.so.*
%{_kde5_libdir}/libKF5SonnetUi.so.*
%dir %{_libdir}/qt5/qml/org/kde/sonnet
%{_libdir}/qt5/qml/org/kde/sonnet/*
%{_libdir}/qt5/plugins/designer/sonnetui5widgets.so
%dir %{_kde5_pluginsdir}/sonnet
%{_kde5_pluginsdir}/sonnet/*
%{_datadir}/qlogging-categories5/sonnet.*categories
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/gentrigrams
%{_bindir}/parsetrigrams
%dir %{_kde5_includedir}/SonnetCore
%{_kde5_includedir}/SonnetCore/*
%dir %{_kde5_includedir}/SonnetUi
%{_kde5_includedir}/SonnetUi/*
%{_kde5_includedir}/Sonnet/sonnet_version.h
%{_kde5_libdir}/libKF5SonnetCore.so
%{_kde5_libdir}/libKF5SonnetUi.so
%{_kde5_mkspecsdir}/qt_SonnetCore.pri
%{_kde5_mkspecsdir}/qt_SonnetUi.pri
%{_kde5_libdir}/cmake/KF5Sonnet
%doc README.md

%changelog
* Mon Feb 12 2024 Automatic Build System <autodist@openmamba.org> 5.115.0-1mamba
- automatic version update by autodist

* Sat Jan 13 2024 Automatic Build System <autodist@openmamba.org> 5.114.0-1mamba
- automatic version update by autodist

* Mon Dec 18 2023 Automatic Build System <autodist@mambasoft.it> 5.113.0-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Automatic Build System <autodist@mambasoft.it> 5.112.0-1mamba
- automatic version update by autodist

* Thu Oct 19 2023 Automatic Build System <autodist@mambasoft.it> 5.111.0-1mamba
- automatic version update by autodist

* Sun Sep 10 2023 Automatic Build System <autodist@mambasoft.it> 5.110.0-1mamba
- automatic version update by autodist

* Fri Aug 18 2023 Automatic Build System <autodist@mambasoft.it> 5.109.0-1mamba
- automatic version update by autodist

* Sun Jul 09 2023 Automatic Build System <autodist@mambasoft.it> 5.108.0-1mamba
- automatic version update by autodist

* Mon Jun 12 2023 Automatic Build System <autodist@mambasoft.it> 5.107.0-1mamba
- automatic version update by autodist

* Sun May 14 2023 Automatic Build System <autodist@mambasoft.it> 5.106.0-1mamba
- automatic version update by autodist

* Sun Apr 09 2023 Automatic Build System <autodist@mambasoft.it> 5.105.0-1mamba
- automatic version update by autodist

* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 5.104.0-1mamba
- automatic version update by autodist

* Sun Feb 12 2023 Automatic Build System <autodist@mambasoft.it> 5.103.0-1mamba
- automatic version update by autodist

* Mon Jan 16 2023 Automatic Build System <autodist@mambasoft.it> 5.102.0-1mamba
- automatic version update by autodist

* Sun Dec 11 2022 Automatic Build System <autodist@mambasoft.it> 5.101.0-1mamba
- automatic version update by autodist

* Tue Nov 15 2022 Automatic Build System <autodist@mambasoft.it> 5.100.0-1mamba
- automatic version update by autodist

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 5.99.0-1mamba
- automatic version update by autodist

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 5.98.0-1mamba
- automatic version update by autodist

* Tue Aug 16 2022 Automatic Build System <autodist@mambasoft.it> 5.97.0-1mamba
- automatic version update by autodist

* Mon Jul 11 2022 Automatic Build System <autodist@mambasoft.it> 5.96.0-1mamba
- automatic version update by autodist

* Mon Jun 13 2022 Automatic Build System <autodist@mambasoft.it> 5.95.0-1mamba
- automatic version update by autodist

* Sun May 15 2022 Automatic Build System <autodist@mambasoft.it> 5.94.0-1mamba
- automatic version update by autodist

* Sun Apr 10 2022 Automatic Build System <autodist@mambasoft.it> 5.93.0-1mamba
- automatic version update by autodist

* Sun Mar 13 2022 Automatic Build System <autodist@mambasoft.it> 5.92.0-1mamba
- automatic version update by autodist

* Wed Feb 16 2022 Automatic Build System <autodist@mambasoft.it> 5.91.0-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 5.90.0-1mamba
- automatic version update by autodist

* Wed Dec 15 2021 Automatic Build System <autodist@mambasoft.it> 5.89.0-1mamba
- automatic version update by autodist

* Mon Nov 15 2021 Automatic Build System <autodist@mambasoft.it> 5.88.0-1mamba
- automatic version update by autodist

* Mon Oct 11 2021 Automatic Build System <autodist@mambasoft.it> 5.87.0-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 5.86.0-1mamba
- automatic version update by autodist

* Mon Aug 16 2021 Automatic Build System <autodist@mambasoft.it> 5.85.0-1mamba
- automatic version update by autodist

* Sun Jul 11 2021 Automatic Build System <autodist@mambasoft.it> 5.84.0-1mamba
- automatic version update by autodist

* Sun Jun 13 2021 Automatic Build System <autodist@mambasoft.it> 5.83.0-1mamba
- automatic version update by autodist

* Sun May 09 2021 Automatic Build System <autodist@mambasoft.it> 5.82.0-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 5.81.0-1mamba
- automatic version update by autodist

* Sun Mar 14 2021 Automatic Build System <autodist@mambasoft.it> 5.80.0-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 5.79.0-1mamba
- automatic version update by autodist

* Wed Jan 13 2021 Automatic Build System <autodist@mambasoft.it> 5.78.0-1mamba
- automatic version update by autodist

* Wed Dec 23 2020 Automatic Build System <autodist@mambasoft.it> 5.77.0-1mamba
- automatic version update by autodist

* Sun Nov 15 2020 Automatic Build System <autodist@mambasoft.it> 5.76.0-1mamba
- automatic version update by autodist

* Tue Oct 13 2020 Automatic Build System <autodist@mambasoft.it> 5.75.0-1mamba
- automatic version update by autodist

* Tue Sep 15 2020 Automatic Build System <autodist@mambasoft.it> 5.74.0-1mamba
- automatic version update by autodist

* Mon Aug 10 2020 Automatic Build System <autodist@mambasoft.it> 5.73.0-1mamba
- automatic version update by autodist

* Tue Jul 14 2020 Automatic Build System <autodist@mambasoft.it> 5.72.0-1mamba
- automatic version update by autodist

* Tue Jun 16 2020 Automatic Build System <autodist@mambasoft.it> 5.71.0-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 5.70.0-1mamba
- automatic version update by autodist

* Mon Apr 13 2020 Automatic Build System <autodist@mambasoft.it> 5.69.0-1mamba
- automatic version update by autodist

* Mon Mar 16 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Tue Feb 11 2020 Automatic Build System <autodist@mambasoft.it> 5.67.0-1mamba
- automatic version update by autodist

* Mon Jan 13 2020 Automatic Build System <autodist@mambasoft.it> 5.66.0-1mamba
- automatic version update by autodist

* Mon Dec 23 2019 Automatic Build System <autodist@mambasoft.it> 5.65.0-1mamba
- automatic version update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 5.64.0-1mamba
- automatic version update by autodist

* Fri Oct 18 2019 Automatic Build System <autodist@mambasoft.it> 5.63.0-1mamba
- automatic version update by autodist

* Tue Sep 17 2019 Automatic Build System <autodist@mambasoft.it> 5.62.0-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 5.61.0-1mamba
- automatic version update by autodist

* Fri Jul 19 2019 Automatic Build System <autodist@mambasoft.it> 5.60.0-1mamba
- automatic version update by autodist

* Tue Jun 11 2019 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Thu May 16 2019 Automatic Build System <autodist@mambasoft.it> 5.58.0-1mamba
- automatic version update by autodist

* Fri Apr 19 2019 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Mon Mar 11 2019 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Sat Feb 16 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Wed Jan 16 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Sat Dec 15 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Fri Nov 16 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Sun Oct 21 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Mon Aug 20 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Mon Jul 16 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Sat Jun 16 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Tue May 15 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Tue Apr 17 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Fri Mar 16 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Tue Feb 27 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Wed Jan 17 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sat Dec 23 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Mon Sep 11 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 18 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.36.0-1mamba
- update to 5.36.0

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Wed Mar 08 2017 Automatic Build System <autodist@mambasoft.it> 5.31.0-1mamba
- automatic version update by autodist

* Tue Jan 24 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Thu Dec 22 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Tue Nov 22 2016 Automatic Build System <autodist@mambasoft.it> 5.28.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Sat Aug 20 2016 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Thu Jul 14 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Tue Jun 21 2016 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Fri May 27 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Tue Mar 29 2016 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Sat Feb 20 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Tue Nov 24 2015 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Fri Nov 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.0-2mamba
- rebuilt with libvoikko, added ftbfs patch

* Wed Oct 21 2015 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Thu Sep 24 2015 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Mon Jul 13 2015 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Thu Jun 18 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sat Apr 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-3mamba
- fix license and standardize the specfile

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
